Subject: Re: [BUG] git checkout <branch> allowed with uncommitted changes

From: Sergei Organov <[email-masked]>
Date: Thu, 13 Oct 2011 21:06:10 +0400

arQon <[email-masked]> writes:

[...]

> Lucky you. :P  The most likely reason for me is, I'm working on something
> and I get interrupted and have to switch. Since the code may well not even
> compile at this point, the last thing I want to do is commit it.

'git stash' is exactly what you need then.

-- Sergei.